function love.load()

	Gconst = .000000000066726

	planet = {
		position = {
			x = 250,
			y = 100,
		},
		velocity = {
			x = 30,
			y = 0,
		},
		mass = 6.0*10^24,
	}
	
	star = {
		position = {
			x = 250,
			y = 250,
		},
		mass = 2.0*10^30,
	}
	
	attraction = 0
	distance = 0

end

function love.update(dt)

	distance = math.sqrt(((planet.position.x-star.position.x)^2)+((planet.position.y-star.position.y)^2))*10^20
	attraction = ((Gconst*planet.mass*star.mass)/(distance^2))
	
	if planet.position.x < star.position.x then
		planet.velocity.x = planet.velocity.x + attraction * dt
	elseif planet.position.x >= star.position.x then
		planet.velocity.x = planet.velocity.x - attraction * dt
	end	
	
	if planet.position.y < star.position.y then
		planet.velocity.y = planet.velocity.y + attraction * dt
	elseif planet.position.y >= star.position.y then
		planet.velocity.y = planet.velocity.y - attraction * dt
	end

	planet.position.x = planet.position.x + planet.velocity.x * dt
	planet.position.y = planet.position.y + planet.velocity.y * dt

end

function love.draw()

	love.graphics.setColor(243,239,148)
	love.graphics.circle('fill',star.position.x,star.position.y,50,50)
	love.graphics.setColor(137,152,254)
	love.graphics.circle('fill',planet.position.x,planet.position.y,10,30)
	
	love.graphics.setColor(255,0,0)
	love.graphics.print("Attraction: "..attraction.." newtons",0,0)
	love.graphics.print("Distance: "..math.floor(distance).." meters",0,15)
	love.graphics.print(math.floor(planet.position.x)..","..math.floor(planet.position.y),planet.position.x-26,planet.position.y+20)
	love.graphics.print(math.floor(star.position.x)..","..math.floor(star.position.y),star.position.x-26,star.position.y+55)
	love.graphics.print(planet.mass.." kg",planet.position.x+20,planet.position.y-20)
	love.graphics.print(star.mass.." kg",star.position.x+50,star.position.y-50)

end